# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TDoubleValue

Packages that use TDoubleValue
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TDoubleValue in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TDoubleValue
Modifier and Type
Class
Description
`class`
`TDoubleValue`
`class`
`TDoubleValue`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TDoubleValue
Modifier and Type
Method
Description
`TDoubleValue`
TDoubleValue.`deepCopy()`
`TDoubleValue`
TColumnValue.`getDoubleVal()`
`TDoubleValue`
TDoubleValue.`setValue(double value)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TDoubleValue
Modifier and Type
Method
Description
`int`
TDoubleValue.`compareTo(TDoubleValue other)`
`static TColumnValue`
TColumnValue.`doubleVal(TDoubleValue value)`
`boolean`
TDoubleValue.`equals(TDoubleValue that)`
`void`
TColumnValue.`setDoubleVal(TDoubleValue value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TDoubleValue
Modifier
Constructor
Description
``
`TDoubleValue(TDoubleValue other)`
Performs a deep copy on other.